Set Sandbox Entitlements
Set new sandbox entitlements, including granting and revoking allowances, for the given sandbox name.
POST
/api/{version}/objects/sandbox/entitlements/setHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Content-Type | application/x-www-form-urlencoded |
Body Parameters
Section link for Body ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
'https://myvault.veevavault.com/api/v22.1/objects/sandbox/entitlements/set' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'name=Sandbox0' \
-d 'type=config' \
-d 'allowance=1' \
-d 'grant=true'Response
Section link for Response{
"responseStatus": "SUCCESS",
"data": {
"entitlements": [
{
"type": "config",
"available": 1,
"allowed": 3,
"temporary": 3
}
]
}
}